from django.views.generic import DetailView
from django.contrib.auth.mixins import LoginRequiredMixin

from .models import Service


class ServiceDetail(LoginRequiredMixin, DetailView):
    def get_queryset(self):
        return Service.objects.filter(adhesion__pk__in=\
                        self.request.user.profile.adhesions.values_list('pk')) \
                        .order_by('-created')
